# Core portfolio strategy configuration
symbols:
  - BTCUSDT
  - ETHUSDT
  - SOLUSDT

# Position rules
max_position_pct: 20        # Max 20% portfolio per coin
max_total_exposure_pct: 60  # Max 60% total core exposure
min_cash_reserve_pct: 20    # Always keep 20% in stablecoin
stop_loss_pct: 8            # 8% trailing stop from peak
take_profit_pct: 15         # 15% take profit
partial_exit_pct: 10        # Partial 50% exit at 10%
reentry_cooldown_hours: 2   # 2 hours after stop-out

# Draft mode starting capital (USDT equivalent)
draft_starting_capital: 50.0

# Signal thresholds
min_confidence: 0.65
high_confidence: 0.85       # Triggers LLM validation

# Rules strategy tuning (T1.5 — relaxed for paper trading)
# Restore to 30.0 / 1.5 / 3 for conservative live trading
rules_rsi_oversold: 40.0       # was 30.0 — triggers on moderately oversold
rules_volume_mult: 1.2         # was 1.5 — lower volume confirmation bar
rules_buy_min_score: 2         # was 3 (all conditions) — 2-of-3 gate

# Scheduling
signal_interval_minutes: 15
market_trend_interval_minutes: 60
reconciliation_interval_minutes: 5

# ML Pipeline (Phase 2)
ml:
  enabled: false
  model_path: ""
  label_horizon_hours: 4
  label_buy_threshold: 0.010
  label_sell_threshold: -0.010
